Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Class ArchiveReader.RandomAccessBufferedInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.BufferedInputStream
                  org.archive.io.ArchiveReader.RandomAccessBufferedInputStream

All Implemented Interfaces:
  it.unimi.dsi.fastutil.io.RepositionableStream, java.io.Closeable

Enclosing class:
  ArchiveReader

    protected class ArchiveReader.RandomAccessBufferedInputStream

extends java.io.BufferedInputStream
implements it.unimi.dsi.fastutil.io.RepositionableStream

Add buffering to RandomAccessInputStream.

Field Summary

Fields inherited from class java.io.BufferedInputStream
`buf, count, marklimit, markpos, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`ArchiveReader.RandomAccessBufferedInputStream(RandomAccessInputStream is)`
`ArchiveReader.RandomAccessBufferedInputStream(RandomAccessInputStream is, int size)`

Method Summary
`int` | `available()`
`long` | `position()`
`void` | `position(long position)`

Methods inherited from class java.io.BufferedInputStream
`close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.io.FilterInputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArchiveReader.RandomAccessBufferedInputStream

    public ArchiveReader.RandomAccessBufferedInputStream(RandomAccessInputStream is)
                                                  throws java.io.IOException

Throws:
  `java.io.IOException`

### ArchiveReader.RandomAccessBufferedInputStream

    public ArchiveReader.RandomAccessBufferedInputStream(RandomAccessInputStream is,
                                                         int size)
                                                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### position

    public long position()
                  throws java.io.IOException

  Specified by:
    `position` in interface `it.unimi.dsi.fastutil.io.RepositionableStream`
  Throws:
    `java.io.IOException`

### position

    public void position(long position)
                  throws java.io.IOException

  Specified by:
    `position` in interface `it.unimi.dsi.fastutil.io.RepositionableStream`
  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.BufferedInputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.